﻿<MudDialog>
    <DialogContent>
        @Content
    </DialogContent>
    <DialogActions>
        <MudButton Color="Color.Primary"  OnClick="AddAnother">Create another list</MudButton>
        <MudButton  OnClick="Return">Return</MudButton>
    </DialogActions>
</MudDialog>

@code {
    [CascadingParameter] MudDialogInstance MudDialog { get; set; }

    [Parameter]
    public string Content { get; set; }

    void Return() => MudDialog.Close(DialogResult.Ok(true));
    void AddAnother() => MudDialog.Cancel();
}
